<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:41 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>IImageFile (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IImageFile (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IImageFile.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/IFormats.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageProcess.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/IImageFile.html" target="_top">Frames</a></li>
<li><a href="IImageFile.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.device.scanner.wia</div>
<h2 title="Interface IImageFile" class="title">Interface IImageFile</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>com4j.Com4jObject</dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">IImageFile</span>
extends com4j.Com4jObject</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#activeFrame--">activeFrame</a></span>()</code>
<div class="block">
 Returns/Sets the current frame in the image</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#activeFrame-int-">activeFrame</a></span>(int&nbsp;plResult)</code>
<div class="block">
 Returns/Sets the current frame in the image</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html" title="interface in io.mosip.registration.device.scanner.wia">IVector</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#argbData--">argbData</a></span>()</code>
<div class="block">
 Returns the raw image bits as a Vector of Long values</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#argbData-int-">argbData</a></span>(int&nbsp;index)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html" title="interface in io.mosip.registration.device.scanner.wia">IVector</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#fileData--">fileData</a></span>()</code>
<div class="block">
 Returns the raw image file as a Vector of Bytes</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#fileData-int-">fileData</a></span>(int&nbsp;index)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#fileExtension--">fileExtension</a></span>()</code>
<div class="block">
 Returns the file extension for this image file type</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#formatID--">formatID</a></span>()</code>
<div class="block">
 Returns the FormatID for this file type</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#frameCount--">frameCount</a></span>()</code>
<div class="block">
 Returns the number of frames in the image</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#height--">height</a></span>()</code>
<div class="block">
 Returns the Height of the image in pixels</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#horizontalResolution--">horizontalResolution</a></span>()</code>
<div class="block">
 Returns the Horizontal pixels per inch of the image</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#isAlphaPixelFormat--">isAlphaPixelFormat</a></span>()</code>
<div class="block">
 Indicates if the pixel format has an alpha component</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#isAnimated--">isAnimated</a></span>()</code>
<div class="block">
 Indicates whether the image is animated</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#isExtendedPixelFormat--">isExtendedPixelFormat</a></span>()</code>
<div class="block">
 Indicates if the pixel format is extended (16 bits/channel)</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#isIndexedPixelFormat--">isIndexedPixelFormat</a></span>()</code>
<div class="block">
 Indicates if the pixel data is an index into a palette or the actual color data</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#loadFile-java.lang.String-">loadFile</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;filename)</code>
<div class="block">
 Loads the ImageFile object with the specified File</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#pixelDepth--">pixelDepth</a></span>()</code>
<div class="block">
 Returns the depth of the pixels of the image in bits per pixel</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/device/scanner/wia/IProperties.html" title="interface in io.mosip.registration.device.scanner.wia">IProperties</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#properties--">properties</a></span>()</code>
<div class="block">
 A collection of all properties for this image</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/device/scanner/wia/IProperty.html" title="interface in io.mosip.registration.device.scanner.wia">IProperty</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#properties-java.lang.Object-">properties</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;index)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#saveFile-java.lang.String-">saveFile</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;filename)</code>
<div class="block">
 Save the ImageFile object to the specified File</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#verticalResolution--">verticalResolution</a></span>()</code>
<div class="block">
 Returns the Vertical pixels per inch of the image</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageFile.html#width--">width</a></span>()</code>
<div class="block">
 Returns the Width of the image in pixels</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com4j.Com4jObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com4j.Com4jObject</h3>
<code>advise, dispose, equals, getComThread, getIUnknownPointer, getPointer, getPtr, hashCode, is, queryInterface, setName, toString</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="formatID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formatID</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;formatID()</pre>
<div class="block"><p>
 Returns the FormatID for this file type
 </p>
 <p>
 Getter method for the COM property "FormatID"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type java.lang.String</dd>
</dl>
</li>
</ul>
<a name="fileExtension--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fileExtension</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileExtension()</pre>
<div class="block"><p>
 Returns the file extension for this image file type
 </p>
 <p>
 Getter method for the COM property "FileExtension"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type java.lang.String</dd>
</dl>
</li>
</ul>
<a name="fileData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fileData</h4>
<pre><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html" title="interface in io.mosip.registration.device.scanner.wia">IVector</a>&nbsp;fileData()</pre>
<div class="block"><p>
 Returns the raw image file as a Vector of Bytes
 </p>
 <p>
 Getter method for the COM property "FileData"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type IVector</dd>
</dl>
</li>
</ul>
<a name="fileData-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fileData</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;fileData(int&nbsp;index)</pre>
</li>
</ul>
<a name="argbData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>argbData</h4>
<pre><a href="../../../../../../io/mosip/registration/device/scanner/wia/IVector.html" title="interface in io.mosip.registration.device.scanner.wia">IVector</a>&nbsp;argbData()</pre>
<div class="block"><p>
 Returns the raw image bits as a Vector of Long values
 </p>
 <p>
 Getter method for the COM property "ARGBData"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type IVector</dd>
</dl>
</li>
</ul>
<a name="argbData-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>argbData</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;argbData(int&nbsp;index)</pre>
</li>
</ul>
<a name="height--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>height</h4>
<pre>int&nbsp;height()</pre>
<div class="block"><p>
 Returns the Height of the image in pixels
 </p>
 <p>
 Getter method for the COM property "Height"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type int</dd>
</dl>
</li>
</ul>
<a name="width--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>width</h4>
<pre>int&nbsp;width()</pre>
<div class="block"><p>
 Returns the Width of the image in pixels
 </p>
 <p>
 Getter method for the COM property "Width"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type int</dd>
</dl>
</li>
</ul>
<a name="horizontalResolution--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>horizontalResolution</h4>
<pre>double&nbsp;horizontalResolution()</pre>
<div class="block"><p>
 Returns the Horizontal pixels per inch of the image
 </p>
 <p>
 Getter method for the COM property "HorizontalResolution"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type double</dd>
</dl>
</li>
</ul>
<a name="verticalResolution--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>verticalResolution</h4>
<pre>double&nbsp;verticalResolution()</pre>
<div class="block"><p>
 Returns the Vertical pixels per inch of the image
 </p>
 <p>
 Getter method for the COM property "VerticalResolution"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type double</dd>
</dl>
</li>
</ul>
<a name="pixelDepth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pixelDepth</h4>
<pre>int&nbsp;pixelDepth()</pre>
<div class="block"><p>
 Returns the depth of the pixels of the image in bits per pixel
 </p>
 <p>
 Getter method for the COM property "PixelDepth"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type int</dd>
</dl>
</li>
</ul>
<a name="isIndexedPixelFormat--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isIndexedPixelFormat</h4>
<pre>boolean&nbsp;isIndexedPixelFormat()</pre>
<div class="block"><p>
 Indicates if the pixel data is an index into a palette or the actual color data
 </p>
 <p>
 Getter method for the COM property "IsIndexedPixelFormat"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type boolean</dd>
</dl>
</li>
</ul>
<a name="isAlphaPixelFormat--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAlphaPixelFormat</h4>
<pre>boolean&nbsp;isAlphaPixelFormat()</pre>
<div class="block"><p>
 Indicates if the pixel format has an alpha component
 </p>
 <p>
 Getter method for the COM property "IsAlphaPixelFormat"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type boolean</dd>
</dl>
</li>
</ul>
<a name="isExtendedPixelFormat--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isExtendedPixelFormat</h4>
<pre>boolean&nbsp;isExtendedPixelFormat()</pre>
<div class="block"><p>
 Indicates if the pixel format is extended (16 bits/channel)
 </p>
 <p>
 Getter method for the COM property "IsExtendedPixelFormat"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type boolean</dd>
</dl>
</li>
</ul>
<a name="isAnimated--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAnimated</h4>
<pre>boolean&nbsp;isAnimated()</pre>
<div class="block"><p>
 Indicates whether the image is animated
 </p>
 <p>
 Getter method for the COM property "IsAnimated"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type boolean</dd>
</dl>
</li>
</ul>
<a name="frameCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>frameCount</h4>
<pre>int&nbsp;frameCount()</pre>
<div class="block"><p>
 Returns the number of frames in the image
 </p>
 <p>
 Getter method for the COM property "FrameCount"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type int</dd>
</dl>
</li>
</ul>
<a name="activeFrame--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activeFrame</h4>
<pre>int&nbsp;activeFrame()</pre>
<div class="block"><p>
 Returns/Sets the current frame in the image
 </p>
 <p>
 Getter method for the COM property "ActiveFrame"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type int</dd>
</dl>
</li>
</ul>
<a name="activeFrame-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>activeFrame</h4>
<pre>void&nbsp;activeFrame(int&nbsp;plResult)</pre>
<div class="block"><p>
 Returns/Sets the current frame in the image
 </p>
 <p>
 Setter method for the COM property "ActiveFrame"
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>plResult</code> - Mandatory int parameter.</dd>
</dl>
</li>
</ul>
<a name="properties--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>properties</h4>
<pre><a href="../../../../../../io/mosip/registration/device/scanner/wia/IProperties.html" title="interface in io.mosip.registration.device.scanner.wia">IProperties</a>&nbsp;properties()</pre>
<div class="block"><p>
 A collection of all properties for this image
 </p>
 <p>
 Getter method for the COM property "Properties"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type IProperties</dd>
</dl>
</li>
</ul>
<a name="properties-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>properties</h4>
<pre><a href="../../../../../../io/mosip/registration/device/scanner/wia/IProperty.html" title="interface in io.mosip.registration.device.scanner.wia">IProperty</a>&nbsp;properties(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;index)</pre>
</li>
</ul>
<a name="loadFile-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadFile</h4>
<pre>void&nbsp;loadFile(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;filename)</pre>
<div class="block"><p>
 Loads the ImageFile object with the specified File
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>filename</code> - Mandatory java.lang.String parameter.</dd>
</dl>
</li>
</ul>
<a name="saveFile-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>saveFile</h4>
<pre>void&nbsp;saveFile(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;filename)</pre>
<div class="block"><p>
 Save the ImageFile object to the specified File
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>filename</code> - Mandatory java.lang.String parameter.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IImageFile.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/IFormats.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/IImageProcess.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/IImageFile.html" target="_top">Frames</a></li>
<li><a href="IImageFile.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
